com.taosdata.jdbc

## Class TSDBParameterMetaData

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractParameterMetaData
    - - com.taosdata.jdbc.TSDBParameterMetaData

All Implemented Interfaces:
  ParameterMetaData, Wrapper

    public class TSDBParameterMetaData
    extends AbstractParameterMetaData

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`TSDBParameterMetaData(Object[] parameters)`

### Method Summary

### Methods inherited from class com.taosdata.jdbc.AbstractParameterMetaData

`getParameterClassName, getParameterCount, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### TSDBParameterMetaData

    public TSDBParameterMetaData(Object[] parameters)